; ******************************************************
; BASIC .ASM template file for AVR
; ******************************************************

.include "C:\VMLAB\include\m8def.inc"
.include "standard.inc"

; Define here the variables
;
.def  temp  =r16
.equ	fosc	=3686400	; Taktfrequenz
.equ	baud	=9600 ; Baudrate


; Define here Reset and interrupt vectors, if any
;
.org 0x00
reset: rjmp start

.org UDREaddr
	rjmp		AD_Conversion
	
; program starts here after Reset
;
.org $13
start:
	INIT_SP
	INIT_SER	baud,fosc
	sbi	UCSRB,UDRIE		; enable "data transmission register empty"-interrupt
	INIT_AD_8u	0,0,0,6	; init A/D conversion on PC0, single-shot, enable interrupts, prescaler 2^7=64
	ldi	temp,((1<< SE) | (0b000*(1 << SM0))); enable sleep mode, standby mode
	out	MCUCR,temp	
	sbi	UCSRA,UDRE	; trigger first transmission
	sei					; enable interrupts
forever:
   sleep;
rjmp forever


AD_Conversion:
   in		temp,ADCH
	out   UDR,temp
	sbi 	ADCSR,ADSC  ; trigger next A/D conversion
	reti


